<?php
namespace Modules\Additional\Specifique\Client83;

use Skeleton\Router;
use Skeleton\Module;
use Psr\Container\ContainerInterface;
use Helpers\Parametres\Parametres;
use Skeleton\Renderer\RendererInterface;

class Specifique83Module extends Module
{

    const DEFINITIONS = __DIR__ . '/config.php';



    // private $router, $container
    public function __construct(ContainerInterface $container)
    {
        $parametres     = new Parametres();
       
        $router = $container->get(Router::class);
        $container->get(RendererInterface::class)->addPath('Specifique83', __DIR__);
        
        $base_url = $container->get('baseUrl') . $container->get('Specifique83.prefix');
    }
}
